BIBLATEX-ACCURSIUS
==================
F. Contini, _The `accursius` style. Citing features for Italian jurists_, v. 1.0, released on CTAN, finalised in Cagliari (Sardinia), 22nd Nov. 2024.

***

After this 'prologue', this READMI file is composed by a _brief introduction_, the _licence_ and a _call for a collaborator or for suggestions_.

- This bundle is a style for the `biblatex` package for LaTeX markup language.
- The main beneficiaries of this bundle are Italian jurists, especially the scholars.
- The underlying purpose of this bundle is to give a valide alternative to word processors.

The bundle is composed by the _biblatex-accursius.dtx_ source code and its derived.
After the installation, to load in your document, just write `style=accursius` within the options of the `biblatex` package.

Francesco Contini is the current maintainer. If you need, email to <cicciocontini@outlook.it>.

***
## Brief introduction
### Abstract
This bundle aims to extend the `biblatex` package to facilitate legal citations: laws, treaties, soft law instruments, other juridical acts like dossiers and, of course, case law. The `biblatex` package considers scholarly types: books, collections, proceedings, articles and the like. The `accursius` style provides a comprehensive bundle to cite legal items in the text or in footnotes and to compile a list.

## Licence
Francesco Contini, _The accursius style_, Cagliari 2024.
**Copyright (C) 2024 Francesco Contini**

This bundle is available under the terms of the LaTeX Project Public Licence, as declared in the preamble (see below) of the source _biblatex-accursius.dtx_.

Just for example, you may distribute a complete and unmodified copy of the work as you received it. Distribution of only part of the work is considered a modification.
You can modify your copy of the code of this style, thus creating a derived work based on this one. You can distribute your derived work.
You can distribute a compiled work you generated using this style.

These example do not exempt you from reading and observing the licence.
Link to <https://www.latex-project.org/lppl.txt>.


    Francesco Contini, The accursius style,
    Cagliari 2024.
    
    Copyright (C) 2024 Francesco Contini
    
    The work consists of the README.md, the
    biblatex-accursius.dtx and the derived:
            - accursius.bbx,
            - accursius.cbx,
            - italian-accursius.lbx,
            - english-accursius.lbx,
            - french-accursius.lbx,
            - accursius.bib,
            - biblatex-accursius.pdf.
        The .pdf derived file refers to the
    preamble from the .dtx source and repro
    duces its text.
        The work may be distributed and mod
    ified under the conditions of the LaTeX
    Project Public License either v. 1.3 of
    the license or at your option any later
    version. For the latest version of this
    license see the url below.  V. 1.3c and
    following are part of all distributions
    of LaTeX version 2008 or later.
        The product has got the LPPL mainte
    nance status `maintained'.
        The current maintainer of this work
    is Francesco Contini. To claim and feed
    back or to get a clarification email me
    to cicciocontini [at] outlook [dot] it.
    
    https://www.latex-project.org/lppl.txt

## Call for a collaborator or for suggestions
Writing in LaTeX is one thing; it's easy. Yet, it was so difficult to realise all the `accursius` style. Generally, it's so difficult to _produce_ for LaTeX, to create and propose something new. Therefore, I am definitively a novice when it comes to production, notwithstanding that I consider myself a decent LaTeX _user_, knowing more than necessary to write the documents I need.
Good intentions aren't always enough for a flawless job. That is why I apologise in advance for any shortcomings that may be found here and there.

On the other hand, I am looking for suggestions and guidance, first and foremost, on how to manage my repository, also with a view to receiving any feedback on the code and even proposals for modification, to correct and also to integrate.
Secondly, I am also open to finding someone who can assist me. As I wrote in the documentation, this work certainly needs a review and some additions.

All this work originated during the writing of my thesis, given the need to cite statutes and case law in accordance with Italian citation practices. I had the desired outcome in mind immediately, as I have a very solid knowledge of citation styles and, more generally, bibliographical topics. As for having to write everything into LaTeX code, however, I had to rush the writing, especially the documentation, to keep up with the deadline, as I was very keen on completing both tasks at the same time.

This kind of _disclaimer_ doesn't mean that I didn't care to verify that the code works and truly meets the citation style I had in mind. On the contrary, I believe I have achieved an excellent result.
It's just to say that the intention to revisit and correct the work is serious.